import { CommandConfig, CommandConfigBeforeNormalize } from './types';
export declare const loadConfig: (cwd: string, override?: Partial<CommandConfig>) => CommandConfig;
export declare const getConfig: () => CommandConfig;
export declare const setConfig: <T extends "artifacts" | "customParams" | "customFilters" | "remoteSnippets" | "urlBase" | "upload" | "binPath" | "flags" | "surgeConfig" | "surfboardConfig" | "quantumultXConfig" | "clashConfig" | "gateway" | "checkHostname" | "proxyTestUrl" | "proxyTestInterval" | "internetTestUrl" | "internetTestInterval" | "analytics" | "cache" | "publicUrl" | "output" | "providerDir" | "templateDir" | "configDir">(key: T, value: CommandConfig[T]) => CommandConfig;
export declare const normalizeConfig: (cwd: string, userConfig: Partial<CommandConfigBeforeNormalize>) => CommandConfig;
export declare const validateConfig: (userConfig: Partial<CommandConfig>) => CommandConfigBeforeNormalize;
