export declare const NETWORK_SURGIO_UA = "surgio";
export declare const OBFS_UA = "Mozilla/5.0 (iPhone; CPU iPhone OS 13_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.1.1 Mobile/15E148 Safari/604.1";
export declare const PROXY_TEST_URL = "http://cp.cloudflare.com/generate_204";
export declare const INTERNET_TEST_URL = "http://connect.rom.miui.com/generate_204";
export declare const PROXY_TEST_INTERVAL = 1200;
export declare const INTERNET_TEST_INTERVAL = 1200;
export declare const CLASH_SUPPORTED_RULE: readonly ["DOMAIN-SUFFIX", "DOMAIN-KEYWORD", "DOMAIN", "SRC-IP-CIDR", "IP-CIDR", "IP-CIDR6", "GEOIP", "DST-PORT", "SRC-PORT", "MATCH", "FINAL", "PROCESS-NAME"];
export declare const QUANTUMULT_X_SUPPORTED_RULE: readonly ["USER-AGENT", "HOST", "HOST-KEYWORD", "HOST-SUFFIX", "DOMAIN", "DOMAIN-SUFFIX", "DOMAIN-KEYWORD", "IP-CIDR", "IP-CIDR6", "GEOIP", "FINAL"];
export declare const LOON_SUPPORTED_RULE: readonly ["DOMAIN-SUFFIX", "DOMAIN", "DOMAIN-KEYWORD", "USER-AGENT", "URL-REGEX", "IP-CIDR", "GEOIP", "FINAL"];
export declare const SURFBOARD_SUPPORTED_RULE: readonly ["DOMAIN-SUFFIX", "DOMAIN", "DOMAIN-KEYWORD", "IP-CIDR", "IP-CIDR6", "GEOIP", "FINAL", "PROCESS-NAME", "RULE-SET", "DOMAIN-SET"];
export declare const CATEGORIES: {
    readonly SNIPPET: "Snippet";
    readonly SURGE: "Surge";
    readonly QUANTUMULT_X: "Quantumult X";
    readonly QUANTUMULT_X_SERVER: "Quantumult X Server";
    readonly QUANTUMULT_X_FILTER: "Quantumult X Filter";
    readonly QUANTUMULT_X_REWRITE: "Quantumult X Rewrite";
    readonly CLASH: "Clash";
    readonly LOON: "Loon";
    readonly SURFBOARD: "Surfboard";
};
export declare const TMP_FOLDER_NAME = "surgio-config";
export declare const CACHE_KEYS: {
    readonly RemoteSnippets: "remote-snippets-v2";
    readonly Provider: "provider-v2";
    readonly RenderedArtifact: "rendered-artifact";
};
